# TODO
# - sync pl
%define		subver	beta6.9
%define		rel		9
Summary:	jDoom, jHeretic and jHexen for Linux
Summary(pl.UTF-8):	jDoom, jHeretic i jHexen dla Linuksa
Name:		doomsday
Version:	1.9.0
Release:	0.%{subver}.%{rel}
License:	GPL v2 / CC 3.0 (icons)
Group:		Applications/Games
Source0:	http://downloads.sourceforge.net/deng/deng-%{version}-%{subver}.tar.gz
# Source0-md5:	907ef41b70e2dbf148ef7e4a0350c6bd
Source1:	http://www.iconarchive.com/icons/3xhumed/mega-games-pack-26/Doom-1-48x48.png
# Source1-md5:	b7b7a9389eba56679e5db65d95c06803
Source2:	http://www.iconarchive.com/icons/3xhumed/mega-games-pack-23/Hexen-1-48x48.png
# Source2-md5:	573845e6e747f68617ac67f3a87dc78e
Source3:	http://www.iconarchive.com/icons/3xhumed/mega-games-pack-28/Heretic-I-1-48x48.png
# Source3-md5:	c89e36c49eabe2846137f313a5250308
Patch0:		%{name}-libpng15.patch
Patch1:		%{name}-format.patch
URL:		http://www.dengine.net/
BuildRequires:	OpenAL-devel
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	OpenGL-devel
BuildRequires:	SDL-devel >= 1.2.0
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_net-devel
BuildRequires:	cmake >= 2.4
BuildRequires:	curl-devel
BuildRequires:	libpng-devel
BuildRequires:	ncurses-devel
BuildRequires:	python
BuildRequires:	python-modules
BuildRequires:	rpmbuild(macros) >= 1.595
Requires:	TiMidity++
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Doomsday Engine allows you to play the classic first-person
shooters DOOM, Heretic, and Hexen using modern technology, with
hardware accelerated 3D graphics, surround sound and much more.

%description -l pl.UTF-8
jDoom, jHeretic i jHexen dla Linuksa.

%prep
%setup -q -n deng-%{version}-%{subver}
%patch0 -p1
%patch1 -p1

%build
install -d build
cd build
LDFLAGS="-lm"
%cmake \
	-DBUILDOPENAL=1 \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DCURSES_INCLUDE_PATH=/usr/include/ncurses \
	-Dlibdir=%{_libdir} \
	../doomsday
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_pixmapsdir}
cp -a %{SOURCE1} $RPM_BUILD_ROOT%{_pixmapsdir}/doom.png
cp -a %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}/hexen.png
cp -a %{SOURCE3} $RPM_BUILD_ROOT%{_pixmapsdir}/heretic.png

cat <<EOF > $RPM_BUILD_ROOT%{_desktopdir}/%{name}-doom.desktop
[Desktop Entry]
Name=Doom
Comment=Doom for linux
Exec=doomsday -game jdoom
Icon=doom.png
Terminal=false
Type=Application
Categories=Game;FirstPersonGame;
Encoding=UTF-8
EOF

cat <<EOF > $RPM_BUILD_ROOT%{_desktopdir}/%{name}-hexen.desktop
[Desktop Entry]
Name=Hexen
Comment=Hexen for linux
Exec=doomsday -game jhexen
Icon=hexen.png
Terminal=false
Type=Application
Categories=Game;FirstPersonGame;
Encoding=UTF-8
EOF

cat <<EOF > $RPM_BUILD_ROOT%{_desktopdir}/%{name}-heretic.desktop
[Desktop Entry]
Name=Heretic
Comment=Heretic for linux
Exec=doomsday -game jheretic
Icon=heretic.png
Terminal=false
Type=Application
Categories=Game;FirstPersonGame;
Encoding=UTF-8
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%banner -o -e %{name} <<-EOF
To run doomsday you need some WAD file: either freedoom package
or some shareware or commercial WAD from Doom or Heretic:
Doom.wad, Doom1.wad, Doom2.wad, Tnt.wad, Plutonia.wad,
Heretic.wad or Heretic1.wad.
When you have them, run doomsday with:
doomsday -game [ jdoom | jheretic | jhexen ]
EOF

%files
%defattr(644,root,root,755)
%doc doomsday/build/README
%attr(755,root,root) %{_bindir}/doomsday
%attr(755,root,root) %{_libdir}/libdpdehread.so
%attr(755,root,root) %{_libdir}/libdpwadmapconverter.so
%attr(755,root,root) %{_libdir}/libjdoom.so
%attr(755,root,root) %{_libdir}/libjheretic.so
%attr(755,root,root) %{_libdir}/libjhexen.so
%attr(755,root,root) %{_libdir}/libdsopenal.so
%{_datadir}/deng
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*.png
%changelog
* Thu Nov 07 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/doomsday.git;a=log;h=master

* Thu Nov 07 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 9f0bf5c
- rel 9; build fixed

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> d58e769
- release 8 (by relup.sh)

* Sun Feb 12 2012 Adam Gołębiowski <adamg@pld-linux.org> f22bde9
- new

* Sun Feb 12 2012 Adam Gołębiowski <adamg@pld-linux.org> 9457500
- release 7 (rebuild against libpng-1.5)

* Sun Feb 12 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 2e373af
- release 6

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> a568a0f
- release 5

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 3b5d039
- release 4

* Thu Sep 01 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 6f4ee3a
- release 3

* Sun Jan 23 2011 Elan Ruusamäe <glen@pld-linux.org> 76bc3a4
- restore icons from distfiles

* Sat Jan 15 2011 Elan Ruusamäe <glen@pld-linux.org> 96e1b28
- up to beta6.9
- enhanced desc

* Sat Feb 06 2010 sparky <sparky@pld-linux.org> 8d6f768
- dropped unused BR: zip
- enabled OpenAL

* Sat Feb 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 0ffde96
- release 2

* Wed Dec 02 2009 sparky <sparky@pld-linux.org> 8755e79
- BR: libpng-devel, ncurses-devel, python, python-modules

* Tue Nov 10 2009 Krzysztof Goliński <dirdival@pld-linux.org> d9513dc
- up to 1.9.0-beta6.7

* Sun Aug 30 2009 Elan Ruusamäe <glen@pld-linux.org> a4a33ef
- add Exhumed icons

* Sun Aug 30 2009 Elan Ruusamäe <glen@pld-linux.org> 59a1971
- up to 1.9.0-beta6.5

* Sat Jul 25 2009 Elan Ruusamäe <glen@pld-linux.org> cbbdcac
- works for me; rel 1

* Sat Jul 25 2009 Elan Ruusamäe <glen@pld-linux.org> d9b0789
- add README

* Fri Jul 24 2009 Elan Ruusamäe <glen@pld-linux.org> 2a1961b
- more deps, lib64 fix

* Fri Jul 24 2009 Elan Ruusamäe <glen@pld-linux.org> 663fb57
- update to 1.9.0-beta6.4, builds

